component
Get component diff between two versions
Compare two versions of a component’s lineage. Returns a high-level summary of all path-level changes.
GET
/
v0
/
component
/
diff
/
{id}
Get component diff between two versions
curl --request GET \
--url https://{hostname}.gable.ai/v0/component/diff/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{hostname}.gable.ai/v0/component/diff/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{hostname}.gable.ai/v0/component/diff/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"componentName": "<string>",
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"baseEventId": "<string>",
"baseDate": "2023-11-07T05:31:56Z",
"compareEventId": "<string>",
"compareDate": "2023-11-07T05:31:56Z",
"totalAdded": 123,
"totalRemoved": 123,
"totalModified": 123,
"baseLabel": "<string>",
"baseCommitSha": "<string>",
"compareLabel": "<string>",
"compareCommitSha": "<string>",
"totalUnchanged": 123
},
"pathChanges": [
{
"pathId": "<string>",
"ingressName": "<string>",
"egressName": "<string>",
"status": "added",
"fieldsAdded": 123,
"fieldsRemoved": 123,
"fieldsChanged": 123,
"totalFields": 123,
"codeStepsAdded": 123,
"codeStepsRemoved": 123,
"codeStepsModified": 123,
"fields": [
{
"sourceField": "<string>",
"targetField": "<string>",
"status": "added",
"type": "<string>",
"dataFlowSteps": [
{
"anchorId": "<string>",
"file": "<string>",
"lineStart": 123,
"lineEnd": 123,
"columnStart": 123,
"columnEnd": 123
}
],
"previousDataFlowSteps": [
{
"anchorId": "<string>",
"file": "<string>",
"lineStart": 123,
"lineEnd": 123,
"columnStart": 123,
"columnEnd": 123
}
],
"upstreamDependencies": [
{
"componentName": "<string>",
"componentType": "CODE",
"field": "<string>",
"hops": 123,
"path": [
{
"componentName": "<string>",
"componentType": "CODE",
"field": "<string>"
}
]
}
],
"downstreamDependencies": [
{
"componentName": "<string>",
"componentType": "CODE",
"field": "<string>",
"hops": 123,
"path": [
{
"componentName": "<string>",
"componentType": "CODE",
"field": "<string>"
}
]
}
]
}
],
"basePathId": "<string>",
"comparePathId": "<string>",
"basePathType": "SCAN_OUTPUT",
"comparePathType": "SCAN_OUTPUT",
"ingressFunction": "<string>",
"egressFunction": "<string>"
}
]
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}Authorizations
Path Parameters
UUID of the component
Query Parameters
Base event ID for comparison
Compare event ID for comparison
When true, load lineage from raw scan snapshots and return summary counts only (no field details).
Response
Component diff retrieved successfully
⌘I
Get component diff between two versions
